%define debug 0

%define _prefix /usr/local
%define _sysconfdir /etc
%define _docdir %{_prefix}/share/doc
%define _initrddir /etc/rc.d/init.d
%define _bindir %{_prefix}/bin
%define _mandir %{_prefix}/man



Name:		upenn-mod_cosign
Version:	20120705
Release:	3%{?dist}
Summary:	CoSign filter
Group:		System Environment/Daemons
License:	Michigan's
URL:		http://weblogin.org
Source0:	cosign-upenn-%{version}.tgz
Source1:	cosign-config
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	upenn-mod_ssl
BuildRequires:	upenn-httpd
BuildRequires:	upenn-httpd-devel
Requires:	upenn-mod_ssl
Requires:	upenn-httpd

%description
mod_cosign provides CoSign web AuthN services for Apache2.

%prep
%setup -q -n cosign-upenn-%{version}

%build
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
./configure --enable-apache2=/usr/local/sbin/apxs --prefix=%{_prefix}
make

%install
rm -rf %{buildroot}
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
#make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/usr/local/lib/httpd/modules
install -p -m 755 filters/apache2/.libs/mod_cosign.so %{buildroot}/usr/local/lib/httpd/modules/mod_cosign.so
mkdir -p %{buildroot}/usr/local/etc/httpd/conf.d
install -p -m 644 %{SOURCE1} %{buildroot}/usr/local/etc/httpd/conf.d/cosign.conf


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
/usr/local/lib/httpd/modules/mod_cosign.so
/usr/local/etc/httpd/conf.d/cosign.conf

%changelog
* Tue Sep 18 2012 Garick Hamlin <ghamlin@isc.upenn.edu> 
- Add time of auth check feature.
- Minor spec file changes.
* Fri Aug 06 2010 Jorj Bauer <jorj@isc.upenn.edu> 
- initial build
